import { ElementRef, EventEmitter, OnChanges, OnDestroy, SimpleChanges, NgZone, DoCheck } from '@angular/core';
import { ECharts, EChartOption } from 'echarts';
export declare class NgxEchartsDirective implements OnChanges, OnDestroy, DoCheck {
    private el;
    private _ngZone;
    options: EChartOption;
    theme: string;
    loading: boolean;
    initOpts: {
        devicePixelRatio?: number;
        renderer?: string;
        width?: number | string;
        height?: number | string;
    };
    merge: EChartOption;
    autoResize: boolean;
    loadingType: string;
    loadingOpts: object;
    /**
     * Whether to register event handlers on echartInstance. Default is true.
     * Use it to avoid unwanted change detection, if you want to optimize the performance.
     */
    detectEventChanges: boolean;
    chartInit: EventEmitter<ECharts>;
    chartClick: EventEmitter<any>;
    chartDblClick: EventEmitter<any>;
    chartMouseDown: EventEmitter<any>;
    chartMouseUp: EventEmitter<any>;
    chartMouseOver: EventEmitter<any>;
    chartMouseOut: EventEmitter<any>;
    chartGlobalOut: EventEmitter<any>;
    chartContextMenu: EventEmitter<any>;
    chartDataZoom: EventEmitter<any>;
    private _chart;
    private currentOffsetWidth;
    private currentOffsetHeight;
    private currentWindowWidth;
    private _resize$;
    private _resizeSub;
    constructor(el: ElementRef, _ngZone: NgZone);
    private createChart();
    onWindowResize(event: Event): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    ngDoCheck(): void;
    private onOptionsChange(opt);
    private registerEvents();
    private unregisterEvents();
    clear(): void;
    toggleLoading(loading: boolean): void;
    setOption(option: any, opts?: any): void;
    private eventHandler(event);
    private toggleEventDetectors(detect);
    onThemeChange(): void;
}
